<!DOCTYPE html>
<html>
  <head>
    <title>Check List</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link href="css/responsive-w3school.css" rel="stylesheet">
    <link href="css/adminer.css" rel="stylesheet">
    <link href="css/step.css" rel="stylesheet">
    <link href="css/w3.css" rel="stylesheet">
    <link href="fontawesome-free-5.7.2-web/css/all.min.css" rel="stylesheet">
    <!--<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">-->
    <script src="js/lib/jquery-2.1.3.min.js"></script>

    <style>
			/**{
				padding: 0;margin: 0;
			}*/
			html, body{
				height: 100%;
			}
      body {
        color: #000;
        background: #fff;
        font: 90%/1.25 Verdana,Arial,Helvetica,sans-serif;
        margin: 0;
      }
			.header{
				min-height: 80px;
				height: 12%;
			}
			.main{
				height: 75%;
			}
			.main-content{
				padding: 20px;
			}
			.footer {
				height: 13%;
			}/**/

    </style>
  </head>
  <body>
    <!-- Sidebar -->
    <div class="w3-sidebar w3-bar-block w3-border-right" style="display:none" id="mySidebar">
      <button onclick="w3_close()" class="w3-bar-item w3-large">Close &times;</button>
      <a href="#" class="w3-bar-item w3-border-bottom">Link 1</a>
      <a href="#" class="w3-bar-item w3-border-bottom">Link 2</a>
      <a href="#" class="w3-bar-item w3-border-bottom">Link 3</a>
    </div>

    <!-- Overlay -->
    <div class="w3-overlay" onclick="w3_close()" style="cursor:pointer"></div>

    <div class="header">
      <!--<button class="w3-button w3-teal w3-small" onclick="w3_open()">&#9776;</button>-->
      <button class="w3-button w3-teal" onclick="w3_open()" style="background-color: #08b0e8!important;"><i class="fa fa-bars"></i></button>
      <h3>Chania</h3>
      <!--<h1>Chania</h1>-->
    </div>

    <div class="main">
    <div class="row">
      <!--<div class="col-2 col-s-3 menu">
        <ul>
          <li>The Flight</li>
          <li>The City</li>
          <li>The Island</li>
          <li>The Food</li>
        </ul>
      </div>-->

      <div class="col-12 col-s-12">
        <!--<h1>The City</h1>
        <p>Chania is the capital of the Chania region on the island of Crete. The city can be divided in two parts, the old town and the modern city.</p>-->

        <form id="form-step" action="/action_page.php"> <!-- style="min-height: 584px;"-->
          <!--<h1 class="step-h1">Register:</h1>-->
          <!-- One "tab" for each step in the form: -->
          <div class="tab">
            <!--<td>              
              <select class="adminer type">
                <option>smallint</option>
                <option>integer</option>
                <option>3</option>
              </select>
              <textarea class="adminer">textarea</textarea>
              <input type="button" name="button" id="button" value="Button" >
            </td>-->
            <p>1. List all UPS amperage reading in IGW1 (suite 110)</p>
            <p>         
              <div class="scrollable">     
                <table class="table-adminer" style="min-width: 550px;">
                  <tbody>
                    <tr>
                      <th>UPS1-A</th>
                      <td>IA = <input class="adminer-input" type="text" name="tes-txt" id="tes-txt1" value="" oninput="this.className = 'adminer-input'" style="width: 50px" ></td>
                      <td>IB = <input class="adminer-input" type="text" name="tes-txt" id="tes-txt2" value="" oninput="this.className = 'adminer-input'" style="width: 50px" ></td>
                      <td>IC = <input class="adminer-input" type="text" name="tes-txt" id="tes-txt3" value="" oninput="this.className = 'adminer-input'" style="width: 50px" ></td>
                      <td>LOAD % = <input class="adminer-input" type="text" name="tes-txt" id="tes-txt4" value="" oninput="this.className = 'adminer-input'" style="width: 100px" ></td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </p>
            <!--<p><input class="step-input" placeholder="First name..." oninput="this.className = 'step-input'" name="fname"></p>
            <p><input class="step-input" placeholder="Last name..." oninput="this.className = 'step-input'" name="lname"></p>-->
          </div>
          <div class="tab">
            <p>2. List all UPS amperage reading in IGW1 (suite 110)</p>
            <p><input class="step-input" placeholder="E-mail..." oninput="this.className = 'step-input'" name="email"></p>
            <p><input class="step-input" placeholder="Phone..." oninput="this.className = 'step-input'" name="phone"></p>
            <p>
              <div class="scrollable">
                <table class="table-adminer" style="width: 100%">
                  <thead>
                    <tr>
                      <th>Th</th>
                      <td>Td</td>
                      <td>Td</td>
                    </tr>
                  </thead>
                  <tbody>          
                    <tr>
                      <th>Th</th>
                      <td>Td</td>
                      <td>
                        <input class="adminer-input" type="text" name="tes-txt" id="tes-txt" value="" placeholder="tes-txt" style="width: 30px" >
                        <select class="adminer type">
                          <option>smallint</option>
                          <option>integer</option>
                          <option>3</option>
                        </select>
                        <!--<textarea class="adminer">textarea</textarea>-->
                        <input type="button" name="button" id="button" value="Button" >
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </p>
          </div>
          <div class="tab">Birthday:
            <p><input class="step-input" placeholder="dd" oninput="this.className = 'step-input'" name="dd"></p>
            <p><input class="step-input" placeholder="mm" oninput="this.className = 'step-input'" name="nn"></p>
            <p><input class="step-input" placeholder="yyyy" oninput="this.className = 'step-input'" name="yyyy"></p>
          </div>
          <div class="tab">Login Info:
            <p><input class="step-input" placeholder="Username..." oninput="this.className = 'step-input'" name="uname"></p>
            <p><input class="step-input" placeholder="Password..." oninput="this.className = 'step-input'" name="pword" type="password"></p>
          </div>
          <div style="overflow:auto;">
            <div style="float:left;">
              <button class="step-button" type="button" id="prevBtn" onclick="nextPrev(-1)">Previous</button>
              <button class="step-button" type="button" id="nextBtn" onclick="nextPrev(1)">Next</button>
            </div>
          </div>
          <!-- Circles which indicates the steps of the form: -->
          <div style="text-align:center;margin-top:20px;">
            <span class="step"></span>
            <span class="step"></span>
            <span class="step"></span>
            <span class="step"></span>
          </div>
        </form>

      </div>

      <!--<div class="col-2 col-s-12">
        <div class="aside">
          <h2>What?</h2>
          <p>Chania is a city on the island of Crete.</p>
          <h2>Where?</h2>
          <p>Crete is a Greek island in the Mediterranean Sea.</p>
          <h2>How?</h2>
          <p>You can reach Chania airport from all over Europe.</p>
        </div>
      </div>-->
    </div>
  	</div>

    <div class="footer">
      <p>Resize the browser window to see how the content respond to the resizing.</p>
    </div>

    <script>
      function w3_open() {
        document.getElementById("mySidebar").style.display = "block";
        //document.getElementById("myOverlay").style.display = "block";
      }

      function w3_close() {
        document.getElementById("mySidebar").style.display = "none";
        //document.getElementById("myOverlay").style.display = "none";
      }
    </script>
    <script>
    var currentTab = 0; // Current tab is set to be the first tab (0)
    showTab(currentTab); // Display the current tab

    function showTab(n) {
      // This function will display the specified tab of the form...
      var x = document.getElementsByClassName("tab");
      x[n].style.display = "block";
      //... and fix the Previous/Next buttons:
      if (n == 0) document.getElementById("prevBtn").style.display = "none";
      else document.getElementById("prevBtn").style.display = "inline";

      if (n == (x.length - 1)) document.getElementById("nextBtn").innerHTML = "Submit";
      else document.getElementById("nextBtn").innerHTML = "Next";

      //... and run a function that will display the correct step indicator:
      fixStepIndicator(n)
    }

    function nextPrev(n) {
      // This function will figure out which tab to display
      var x = document.getElementsByClassName("tab");
      // Exit the function if any field in the current tab is invalid:
      if (n == 1 && !validateForm()) return false;
      // Hide the current tab:
      x[currentTab].style.display = "none";
      // Increase or decrease the current tab by 1:
      currentTab = currentTab + n;
      // if you have reached the end of the form...
      if (currentTab >= x.length) {
        // ... the form gets submitted:
        document.getElementById("form-step").submit();
        return false;
      }
      // Otherwise, display the correct tab:
      showTab(currentTab);
    }

    function validateForm() {
      // This function deals with validation of the form fields
      var x, y, i, valid = true;
      x = document.getElementsByClassName("tab");
      y = x[currentTab].getElementsByTagName("input");
      // A loop that checks every input field in the current tab:
      for (i = 0; i < y.length; i++) {
        // If a field is empty...
        if (y[i].value == "") {
          // add an "invalid" class to the field:
          y[i].className += " invalid";
          // and set the current valid status to false
          valid = false;
        }
      }
      // If the valid status is true, mark the step as finished and valid:
      if (valid) document.getElementsByClassName("step")[currentTab].className += " finish";

    return valid; // return the valid status
    }

    function fixStepIndicator(n) {
      // This function removes the "active" class of all steps...
      var i, x = document.getElementsByClassName("step");
      for (i = 0; i < x.length; i++) x[i].className = x[i].className.replace(" active", "");

      //... and adds the "active" class on the current step:
      x[n].className += " active";
    }
    </script>
    <script src="js/default.js"></script>
  </body>
</html>
